[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateFontIndirectEx

Creates a logical font, selectable into any DC. Allows for a long font name.

## Declaration

Source position: winapih.inc line 63

`public function TWidgetSet.CreateFontIndirectEx(`
`const LogFont: TLogFont;`
`const LongFontName: string`
`):HFONT; virtual;`

## Arguments

`LogFont` |  | The font description.
`LongFontName` |  | The font name, can be longer than 32 characters.

## Function result

The font handle, zero on failure.

## See also

TWidgetSet.CreateFontIndirect |  | Creates a logical font, selectable into any DC.